spring:
  cloud:
    gateway:
      discovery:
        locator:
          enabled: false
          lowerCaseServiceId: true
      routes: #配置网关路由规则
        - id: cloud_uaa
          uri: lb://${ibiz.ref.service.uaa:ibzuaa-api}
          order: 10
          predicates:
            -  Path=/v7/**,/uaa/**,/sysauthlogs
        - id: ibizcloud_ou
          uri: lb://${ibiz.ref.service.ou:ibzou-api}
          order: 20
          predicates:
            - Path=/ibzemployees/**,/sysemployees/**,/ibzdepartments/**,/sysdepartments/**,/ibzorganizations/**,/sysorganizations/**
        - id: cloud_oss
          uri: lb://${ibiz.ref.service.disk:ibzdisk-api}
          order: 40
          predicates:
            - Path=/ibizutil/**,/net-disk/**
        - id: cloud_conf
          uri: lb://${ibiz.ref.service.conf:ibzuaa-api}
          order: 50
          predicates:
            - Path=/configs/**
        - id: cloud_dict
          uri: lb://${ibiz.ref.service.dict:ibzdict-api}
          order: 60
          predicates:
            - Path=/dictionar**/**
        - id: cloud_workflow
          uri: lb://${ibiz.ref.service.wf:ibzwf-api}
          order: 30
          predicates:
            - Path=/wfcore/**
        - id: gw-default-appdata
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 101
          predicates:
            - Path=/appdata

        - id: ibizbook
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizbooks/**
        - id: ibizsample0019
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0019s/**
        - id: ibizsample0009
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0009s/**
        - id: ibizcustom
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizcustoms/**
        - id: ibizhardware
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizhardwares/**
        - id: ibizsample0020
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0020s/**
        - id: ibizsample0017
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0017s/**
        - id: microcomponent
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/microcomponents/**
        - id: ibizsample0013
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0013s/**
        - id: ibizorderdetail
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizorderdetails/**
        - id: ibizsample0003
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0003s/**
        - id: ibizsample0006
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0006s/**
        - id: ibizsample0021
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0021s/**
        - id: ibizappctrl
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizappctrls/**
        - id: ibizsoftwaresuit
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsoftwaresuits/**
        - id: ibiztaskteam
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibiztaskteams/**
        - id: ibizsample0012
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0012s/**
        - id: ibizordertype
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizordertypes/**
        - id: ibizsample0005
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0005s/**
        - id: ibizappeditor
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizappeditors/**
        - id: ibizaccount
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizaccounts/**
        - id: ibizorder
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizorders/**
        - id: ibizsample
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsamples/**
        - id: ibizcustomer
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizcustomers/**
        - id: ibizcustomermg
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizcustomermgs/**
        - id: ibizsample0014
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0014s/**
        - id: ibizsample0010
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0010s/**
        - id: ibizappview
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizappviews/**
        - id: ibizsample0018
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0018s/**
        - id: ibizsample0015
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0015s/**
        - id: ibizsample0001
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0001s/**
        - id: ibizcustomer_intf
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizcustomer_intfs/**
        - id: ibizsample0007
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0007s/**
        - id: ibizsample0004
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0004s/**
        - id: ibizsample0008
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0008s/**
        - id: ibizappextendeditor
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizappextendeditors/**
        - id: ibizcpu
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizcpus/**
        - id: ibizsample0002
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0002s/**
        - id: ibizstorage
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizstorages/**
        - id: ibizsupplier
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsuppliers/**
        - id: ibiztask
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibiztasks/**
        - id: dynadashboard
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/dynadashboards/**
        - id: ibizuniproduct
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizuniproducts/**
        - id: ibizsample0011
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0011s/**
        - id: ibizsample0016
          uri: lb://${ibiz.ref.service.demosys-demoapi:demosys-demoapi}
          order: 200
          predicates:
            - Path=/ibizsample0016s/**
